%define oname		recordMyDesktop
%define gtkoname	gtk-%{oname}

Summary:	GTK fronted for recordmydesktop
Name:		gtk-recordmydesktop
Version:	0.3.8
Release:	%mkrel 14
License:	GPLv2+
Group:		Video/Utilities
URL:		http://recordmydesktop.sourceforge.net
Source0:	http://downloads.sourceforge.net/recordmydesktop/%{name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}-mga-i18n-desktop.patch
Patch1:		qt-recordmydesktop-%{version}-mga-i18n.patch
BuildArch:	noarch
BuildRequires:	pygtk2.0-devel
BuildRequires:	desktop-file-utils
Requires:	recordmydesktop >= %{version}

%description
GTK frontend for recordmydesktop.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x
%make

%install
%make_install

desktop-file-install \
	--add-category="Video;GTK" \
	--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %{gtkoname}

%files -f %{gtkoname}.lang
%doc AUTHORS ChangeLog README
%{_bindir}/%{gtkoname}
%dir %{python2_sitelib}/%{oname}/
%{python2_sitelib}/%{oname}/*.py*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Sat Feb 20 2016 umeabot <umeabot> 0.3.8-14.mga6
+ Revision: 972079
- Mageia 6 Mass Rebuild

* Sun Oct 25 2015 daviddavid <daviddavid> 0.3.8-13.mga6
+ Revision: 895191
- make it noarch thus fixing empty debuginfo
- use new python macros to fix build

* Wed Jan 07 2015 alexl <alexl> 0.3.8-12.mga5
+ Revision: 808936
- update desktop file

* Fri Nov 21 2014 alexl <alexl> 0.3.8-11.mga5
+ Revision: 798058
- update translations (German is from upstream, Russian is for upstream)

* Wed Oct 15 2014 umeabot <umeabot> 0.3.8-10.mga5
+ Revision: 744093
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.8-9.mga5
+ Revision: 680003
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 alexl <alexl> 0.3.8-8.mga5
+ Revision: 671478
- translated desktop file

* Sat May 31 2014 pterjan <pterjan> 0.3.8-7.mga5
+ Revision: 628245
- Rebuild for new Python

* Fri Oct 18 2013 umeabot <umeabot> 0.3.8-6.mga4
+ Revision: 521468
- Mageia 4 Mass Rebuild

* Tue Jan 22 2013 fwang <fwang> 0.3.8-5.mga3
+ Revision: 391007
- update rpm group

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Mar 05 2011 ahmad <ahmad> 0.3.8-4.mga1
+ Revision: 65124
- imported package gtk-recordmydesktop


* Tue Nov 02 2010 Michael Scherer <misc@mandriva.org> 0.3.8-3mdv2011.0
+ Revision: 592390
- rebuild for python 2.7

* Mon Jan 05 2009 Funda Wang <fwang@mandriva.org> 0.3.8-2mdv2009.1
+ Revision: 324925
- rebuild

* Mon Nov 24 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.8-1mdv2009.1
+ Revision: 306401
- update to new version 0.3.8

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.3.7.2-3mdv2009.0
+ Revision: 246704
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu Feb 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.7.2-1mdv2008.1
+ Revision: 173742
- new version
- drop patch 0

  + Thierry Vignaud <tv@mandriva.org>
    - fix no-buildroot-tag

* Tue Dec 18 2007 Thierry Vignaud <tv@mandriva.org> 0.3.7-2mdv2008.1
+ Revision: 132289
- patch 0: fix desktop entry

* Tue Dec 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.7-1mdv2008.1
+ Revision: 131933
- remove icon extension in desktop file
- new version
- do not package COPYING file
- new license policy

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Aug 21 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.6-2mdv2008.0
+ Revision: 68631
- add missing scriplets
- tune up desktop file

* Sat Aug 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.6-1mdv2008.0
+ Revision: 65432
- new version
- spec file clean

* Sun Jul 15 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.5-2mdv2008.0
+ Revision: 52201
- readd BR on desktop-file-utils
- correct menu category

* Sun Jul 15 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.5-1mdv2008.0
+ Revision: 52181
- new version
- drop buildrequires on desktop-file-utils
- remove X-MandrivaLinux

* Sat Apr 21 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.4-1mdv2008.0
+ Revision: 16481
- new version
- drop P0


* Tue Mar 06 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.3.1-1mdv2007.0
+ Revision: 133961
- new version

* Wed Feb 14 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.3-1mdv2007.1
+ Revision: 120665
- Import gtk-recordmydesktop

